summaryrefslogtreecommitdiffstats
path: root/extra
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-01-13 19:51:45 +0000
committer Eric Hameleers <alien@slackware.com>2021-01-14 08:59:48 +0100
commita1b82f3ef322065db8e1e4f21b3a80e35a1bb514 (patch)
tree5df2b40cf1fd592606a84b68cb3f31079764288e /extra
parent4e75b0d129720e16c3e34ab1edce6a9597e34b10 (diff)
downloadcurrent-a1b82f3ef322065db8e1e4f21b3a80e35a1bb514.tar.gz
current-a1b82f3ef322065db8e1e4f21b3a80e35a1bb514.tar.xz
Wed Jan 13 19:51:45 UTC 202120210113195145
ap/diffstat-1.64-x86_64-1.txz: Upgraded. d/cmake-3.19.3-x86_64-1.txz: Upgraded. l/gcr-3.38.1-x86_64-1.txz: Upgraded. l/mlt-6.24.0-x86_64-2.txz: Rebuilt. Patched for opencv >= 4.5.1. Thanks to nobodino. l/pulseaudio-14.1-x86_64-1.txz: Upgraded. n/netkit-bootparamd-0.17-x86_64-4.txz: Rebuilt. Patched for libtirpc. Thanks to nobodino. n/netkit-rusers-0.17-x86_64-3.txz: Rebuilt. Patched for libtirpc. Thanks to nobodino. n/netkit-rwall-0.17-x86_64-3.txz: Rebuilt. Patched for libtirpc. Thanks to nobodino. xfce/Greybird-3.22.14-noarch-1.txz: Upgraded. extra/source/flashplayer-plugin/: Removed.
Diffstat (limited to 'extra')
l---------extra/flashplayer-plugin1
-rwxr-xr-xextra/source/flashplayer-plugin/flashplayer-plugin.SlackBuild194
-rw-r--r--extra/source/flashplayer-plugin/slack-desc19
3 files changed, 0 insertions, 214 deletions
diff --git a/extra/flashplayer-plugin b/extra/flashplayer-plugin
deleted file mode 120000
index def095f26..000000000
--- a/extra/flashplayer-plugin
+++ /dev/null
@@ -1 +0,0 @@
-source/flashplayer-plugin \ No newline at end of file
diff --git a/extra/source/flashplayer-plugin/flashplayer-plugin.SlackBuild b/extra/source/flashplayer-plugin/flashplayer-plugin.SlackBuild
deleted file mode 100755
index 61163cc5c..000000000
--- a/extra/source/flashplayer-plugin/flashplayer-plugin.SlackBuild
+++ /dev/null
@@ -1,194 +0,0 @@
-#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016 Eric Hameleers, Eindhoven, NL
-# All rights reserved.
-#
-# Permission to use, copy, modify, and distribute this software for
-# any purpose with or without fee is hereby granted, provided that
-# the above copyright notice and this permission notice appear in all
-# copies.
-#
-# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
-# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
-# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
-# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
-# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
-# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
-# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
-# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
-# SUCH DAMAGE.
-# -----------------------------------------------------------------------------
-#
-# Slackware SlackBuild script
-# ===========================
-# By: Eric Hameleers <alien@slackware.com>
-# For: flashplayer-plugin
-# Descr: Adobe flash player plugin for mozilla
-# URL:
-# http://labs.adobe.com/technologies/flashplatformruntimes/flashplayer11/
-#
-# Run 'sh flashplayer-plugin.SlackBuild' to build a Slackware package.
-# The package (.txz) and .txt file as well as build logs are created in /tmp .
-# Install it using 'installpkg'.
-#
-# -----------------------------------------------------------------------------
-
-# Set initial variables:
-
-PRGNAM=flashplayer-plugin
-# Determine the latest version by checking the web page:
-VERSION=${VERSION:-"$(wget -O - https://get.adobe.com/flashplayer/about/ 2>/dev/null | grep -2 "Firefox - NPAPI" | tail -1 | cut -f 2 -d '>' | cut -f 1 -d '<')"}
-MAJVER=$(echo $VERSION | cut -d. -f1)
-BUILD=${BUILD:-1}
-TAG=${TAG:-}
-
-# Where do we look for sources?
-SRCDIR=$(cd $(dirname $0); pwd)
-
-# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
-TMP=${TMP:-/tmp/build}
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
-
-# Automatically determine the architecture we're building on:
-MARCH=${ARCH:-$( uname -m )}
-case "$MARCH" in
- x86_64)
- LIBDIRSUFFIX="64"
- ARCHBITS="64"
- export ARCH=x86_64
- ;;
- i?86)
- LIBDIRSUFFIX=""
- ARCHBITS="32"
- export ARCH=i386
- ;;
- *)
- echo "Unsupported architecture '$ARCH'"
- exit 1
- ;;
-esac
-
-SOURCE="$SRCDIR/flash_player_npapi_linux.${VERSION}.${ARCH}.tar.gz"
-SRCURL="http://fpdownload.macromedia.com/get/flashplayer/pdc/${VERSION}/flash_player_npapi_linux.${ARCH}.tar.gz"
-
-##
-## --- with a little luck, you won't have to edit below this point --- ##
-##
-
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
-
-# Save old umask and set to 0022:
-_UMASK_=$(umask)
-umask 0022
-
-# Create working directories:
-mkdir -p $OUTPUT # place for the package to be saved
-mkdir -p $TMP/tmp-$PRGNAM # location to build the source
-mkdir -p $PKG # place for the package to be built
-rm -rf $PKG/* # always erase old package's contents
-rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
-rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
- # remove old log files
-
-# Source file availability:
-if ! [ -f ${SOURCE} ]; then
- echo "Source '$(basename ${SOURCE})' not available yet..."
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
- if [ -f ${SOURCE} ]; then echo "Ah, found it!"; continue; fi
- if ! [ "x${SRCURL}" == "x" ]; then
- echo "Will download file to $(dirname $SOURCE)"
- wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
- if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
- echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
- mv -f "${SOURCE}" "${SOURCE}".FAIL
- exit 1
- fi
- else
- echo "File '$(basename ${SOURCE})' not available... aborting the build."
- exit 1
- fi
-fi
-
-if [ "$P1" == "--download" ]; then
- echo "Download complete."
- exit 0
-fi
-
-# --- PACKAGE BUILDING ---
-
-echo "++"
-echo "|| $PRGNAM-$VERSION"
-echo "++"
-
-#cd $TMP/tmp-$PRGNAM
-cd $PKG
-echo "Extracting the source archive(s) for $PRGNAM..."
-tar -xvf ${SOURCE}
-chown -R root:root *
-chmod -R u+w,go+r-w,a+X-s .
-
-case "$ARCH" in
- x86_64)
- if ! file libflashplayer.so | grep -q "ELF 64-bit" ; then
- echo "The downloaded plugin is not for the '$ARCH' architecture!"; exit 1
- fi
- ;;
- i?86)
- if ! file libflashplayer.so | grep -q "ELF 32-bit" ; then
- echo "The downloaded plugin is not for the '$ARCH' architecture!"; exit 1
- fi
- ;;
-esac
-
-## Move lib to lib64 if needed:
-#[ "$ARCH" = "x86_64" ] && mv usr/lib usr/lib${LIBDIRSUFFIX}
-
-# Remove 32-bit bogus compatibility in 64-bit package:
-[ "$ARCH" = "x86_64" ] && rm -rf $PKG/usr/lib
-
-# Install the plugin to the mozilla plugins dir and fix library file attributes:
-mkdir -p usr/lib${LIBDIRSUFFIX}/mozilla/plugins
-mv libflashplayer.so usr/lib${LIBDIRSUFFIX}/mozilla/plugins/
-find usr/lib${LIBDIRSUFFIX} -name "*.so" -exec chmod 755 {} \;
-
-# Add this to the doinst.sh:
-mkdir -p $PKG/install
-cat <<EOINS >> $PKG/install/doinst.sh
-# Update the desktop database:
-if [ -x usr/bin/update-desktop-database ]; then
- chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
-fi
-
-EOINS
-
-# Add documentation:
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-mv LGPL *.txt $PKG/usr/doc/$PRGNAM-$VERSION/ || true
-cp -a $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
-find $PKG/usr/doc -type f -exec chmod 644 {} \;
-
-# Add a package description:
-mkdir -p $PKG/install
-cat $SRCDIR/slack-desc > $PKG/install/slack-desc
-
-# Build the package:
-cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
-cd $OUTPUT
-md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txz.md5
-cd -
-cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
-
-# Restore the original umask:
-umask ${_UMASK_}
-
diff --git a/extra/source/flashplayer-plugin/slack-desc b/extra/source/flashplayer-plugin/slack-desc
deleted file mode 100644
index f06362dc8..000000000
--- a/extra/source/flashplayer-plugin/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------|
-flashplayer-plugin: flashplayer-plugin (flash plugin for web browsers)
-flashplayer-plugin:
-flashplayer-plugin: Provides Adobe Flash plugin for browsers that recognize
-flashplayer-plugin: /usr/lib/mozilla/plugins as a valid plugin directory
-flashplayer-plugin:
-flashplayer-plugin: Plugin is subject to Adobe terms of use:
-flashplayer-plugin: http://www.adobe.com/go/labs_term_of_use
-flashplayer-plugin:
-flashplayer-plugin: Plugin is subject to Adobe Flash EULA:
-flashplayer-plugin: http://labs.adobe.com/technologies/eula/flashplayer.html
-flashplayer-plugin: